
package de.ivu.elect.business.wahlrechtspruefung.control;

import de.ivu.elect.business.pruefung.boundary.ZulassungPruefer;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahlrechtspruefung.boundary.ZulassungspruefungRegeln;

public class WahlZulassungspruefungNotInject extends AbstractWahlZulassungspruefung {

  private static final long serialVersionUID = 1L;

  private final Wahl wahl;

  private final ZulassungspruefungRegeln zulassungspruefungRegeln;

  private final ZulassungPruefer zulassungPruefer;

  public WahlZulassungspruefungNotInject(Wahl wahl, ZulassungspruefungRegeln zulassungspruefungRegeln, ZulassungPruefer zulassungPruefer) {
    super();

    this.wahl = wahl;
    this.zulassungspruefungRegeln = zulassungspruefungRegeln;
    this.zulassungPruefer = zulassungPruefer;
  }

  @Override
  protected ZulassungspruefungRegeln getZulassungspruefungRegeln() {
    return zulassungspruefungRegeln;
  }

  @Override
  protected ZulassungPruefer getZulassungPruefer() {
    return zulassungPruefer;
  }

  @Override
  protected Wahl getWahl() {
    return wahl;
  }
}
